
Foreman - Bug #18843

Change eager_load to includes statement in hosts api controller's index action

03/08/2017 10:33 AM - Shimon Shtein

Status: Closed   

Priority: Normal   

Assignee: Shimon Shtein   

Category: Database   

Target version: 1.14.3   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/4365

  

Description

Since the query is pretty wide (contains multiple joins) the execution plan will try to make all joins and only then try to filter

unnecessary rows. This causes PG to load a huge temporary table into memory, and since it's too big to fit in, the CPU sky rockets.

Associated revisions

Revision a60d71e6 - 03/14/2017 08:22 AM - Shimon Shtein

Fixes #18843 - Changed from eager_load to includes in #index

Avoiding multiple joins that result in very wide result rows.

It leads to big memory footprint in the DB especially on big datasets.

This big footprint translates then into DB high CPU usage while

processing the query.

Revision 0b19d771 - 03/28/2017 11:47 AM - Shimon Shtein

Fixes #18843 - Changed from eager_load to includes in #index

Avoiding multiple joins that result in very wide result rows.

It leads to big memory footprint in the DB especially on big datasets.

This big footprint translates then into DB high CPU usage while

processing the query.

(cherry picked from commit a60d71e65b063a84f637ed4d17d0053038da9da5)

History

#1 - 03/08/2017 10:46 AM - Dominic Cleal

- Category set to Database

#2 - 03/08/2017 12:55 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Shimon Shtein

- Pull request https://github.com/theforeman/foreman/pull/4365 added

#3 - 03/14/2017 04:48 AM - Ivan Necas

- Target version set to 1.12.2

#4 - 03/14/2017 09:02 AM - Shimon Shtein

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset a60d71e65b063a84f637ed4d17d0053038da9da5.

#5 - 03/16/2017 04:07 AM - Dominic Cleal

05/18/2024 1/2

https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/a60d71e65b063a84f637ed4d17d0053038da9da5


- translation missing: en.field_release set to 227
